﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server" />
		<div>
			<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
				<AjaxSettings>
					<telerik:AjaxSetting AjaxControlID="RadScheduler1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="CreateAppointment">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="RadComboBox1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1"></telerik:AjaxUpdatedControl>
						</UpdatedControls>
					</telerik:AjaxSetting>
				</AjaxSettings>
			</telerik:RadAjaxManager>
			<telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server">
			</telerik:RadAjaxLoadingPanel>
		</div>
		<div>
			<telerik:RadButton RenderMode="Lightweight" runat="server" ID="CreateAppointment" Text="Create an Appointment with Reminder"
				OnClick="CreateAppointment_Click">
			</telerik:RadButton>
		</div>
		<div>
			<telerik:RadScheduler RenderMode="Lightweight" runat="server" ID="RadScheduler1"
				SelectedView="MonthView" OverflowBehavior="Expand" DataSourceID="AppointmentsDataSource"
				DataKeyField="ID" DataStartField="Start" DataEndField="End" DataSubjectField="Subject"
				DataRecurrenceField="RecurrenceRule" DataRecurrenceParentKeyField="RecurrenceParentID"
				DataReminderField="Reminder">
				<AdvancedForm Modal="true"></AdvancedForm>
				<Reminders Enabled="true"></Reminders>
				<TimeSlotContextMenuSettings EnableDefault="true"></TimeSlotContextMenuSettings>
				<AppointmentContextMenuSettings EnableDefault="true"></AppointmentContextMenuSettings>
			</telerik:RadScheduler>
			<asp:SqlDataSource ID="AppointmentsDataSource" runat="server" ProviderName="System.Data.SqlClient" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString35 %>"
				SelectCommand="SELECT * FROM [Appointments]" InsertCommand="INSERT INTO [Appointments] ([Subject], [Description], [Start], [End], [RecurrenceRule], [RecurrenceParentID], [Reminder]) VALUES (@Subject, @Description, @Start, @End , @RecurrenceRule, @RecurrenceParentID, @Reminder)"
				UpdateCommand="UPDATE [Appointments] SET [Subject] = @Subject, [Description] = @Description, [Start] = @Start, [End] = @End, [RecurrenceRule] = @RecurrenceRule, [RecurrenceParentID] = @RecurrenceParentID, [Reminder] = @Reminder WHERE (ID = @ID)"
				DeleteCommand="DELETE FROM [Appointments] WHERE [ID] = @ID">
				<DeleteParameters>
					<asp:Parameter Name="ID" Type="Int32"></asp:Parameter>
				</DeleteParameters>
				<UpdateParameters>
					<asp:Parameter Name="ID" Type="Int32"></asp:Parameter>
					<asp:Parameter Name="Subject" Type="String"></asp:Parameter>
					<asp:Parameter Name="Description" Type="String"></asp:Parameter>
					<asp:Parameter Name="Start" Type="DateTime"></asp:Parameter>
					<asp:Parameter Name="End" Type="DateTime"></asp:Parameter>
					<asp:Parameter Name="RecurrenceRule" Type="String"></asp:Parameter>
					<asp:Parameter Name="RecurrenceParentID" Type="Int32"></asp:Parameter>
					<asp:Parameter Name="Reminder" Type="String"></asp:Parameter>
				</UpdateParameters>
				<InsertParameters>
					<asp:Parameter Name="Subject" Type="String"></asp:Parameter>
					<asp:Parameter Name="Description" Type="String"></asp:Parameter>
					<asp:Parameter Name="Start" Type="DateTime"></asp:Parameter>
					<asp:Parameter Name="End" Type="DateTime"></asp:Parameter>
					<asp:Parameter Name="RecurrenceRule" Type="String"></asp:Parameter>
					<asp:Parameter Name="RecurrenceParentID" Type="Int32"></asp:Parameter>
					<asp:Parameter Name="Reminder" Type="String"></asp:Parameter>
				</InsertParameters>
			</asp:SqlDataSource>
		</div>
		<div>
			<telerik:RadComboBox ID="RadComboBox1" runat="server" Label="Show a Reminder Notification For: "
				AutoPostBack="true" OnSelectedIndexChanged="RadComboBox1_SelectedIndexChanged"
				EmptyMessage="Select a MaxAge value...">
				<Items>
					<telerik:RadComboBoxItem Text="5 days" Value="5" Selected="true" />
					<telerik:RadComboBoxItem Text="2 weeks" Value="14" />
					<telerik:RadComboBoxItem Text="4 weeks" Value="28" />
				</Items>
			</telerik:RadComboBox>
		</div>
	</form>
	<script>
		Telerik.Web.UI.RadScheduler.prototype._openReminderItemClicked = function (sender, eventArgs) {

			window.location = "http://www.telerik.com/";
			this._hideReminderDialog();
		};
	</script>
</body>
</html>
